<?php
namespace Render3D;

return [
  'view_manager' => [
      'template_path_stack' => [
          dirname(__DIR__) . '/view',
      ]
  ],
	'block_layouts' => [
        'factories' => [
            'render3D' => Service\BlockLayout\Render3DFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\Render3DBlockForm::class => Form\Render3DBlockForm::class,
        ],
    ],
    'DefaultSettings' => [
        'Render3DBlockForm' => [
            'model_type' => 'gltf',
            'title' => '',
            'renderSourceLink' => true,
            //'addPreLoadImage' => true,
            'width' => 600,
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
            'ui_background' => 'rgba(0,0,0,0.1)',
        ]
    ]
];
